Bug 1099908 - Add support for exclusive classifiers
Summary: Add support for exclusive classifiers
Keywords:
Status: NEW
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: FUTURE
Assignee: Thomas Heute
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-21 13:33 UTC by Anton Giertli
Modified: 2018-12-05 18:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker SRAMP-439 Optional Open Add support for exclusive classifiers 2014-08-18 17:40:09 UTC

Description Anton Giertli 2014-05-21 13:33:09 UTC
Description of problem:

The requested feature talks about possibility to make some Classifiers exclusive. Imagine class Gender and two subclasses Male and Female, defined in the ontology.
If it was possible to make these classifiers exclusive, it would be possible, via S-RAMP UI to set only one of those.
i.e. user can't set Male if Female is set.
i.e. user can't set Female is Male is set.
OWL Language should be capable of creating such constructs by using owl:disjointWith attribute
http://www.w3.org/TR/owl-guide/#owl_disjointWith
However, this attribute is part of OWL DL and not OWL Lite which is currently used internally.

Version-Release number of selected component (if applicable):

FSW 6.0.0
How reproducible:

always
Steps to Reproduce:
1. Define ontology, one class, two subclasses
2. Upload it to UI and try apply these classifiers on some artifact
3. It is possible to apply them all - parent class, first sub class, second sub class. The desired behavior would to possibility only to apply ONE or ANOTHER sub class.

Actual results:
It is not possible to create exclusive classifiers

Expected results:

it is possible to create exclusive classifiers
Additional info:

Comment 1 Gary Brown 2014-06-18 14:10:14 UTC
The customer portal issue status is Closed - is this still a requirement?


Note You need to log in before you can comment on or make changes to this bug.